/*
        IcuKrell 0.2.0 - drJeckyll <drJeckyll@hotmail.com>
*/

#include "icukrell.h"

static gchar *full_file;

void make_file_name(gchar *file_name)
{
	gchar myfile[255];
	FILE *fd, *fd1, *fd2;

	sprintf(myfile, "%s/.icq/icons/%s/%s", getenv("HOME"), icukrell_theme_name, file_name);

	if ((fd = fopen(myfile, "rb")) == NULL)
	{
		sprintf(myfile, "%s/icons/%s/%s", GNOMEICU_INSTALL_DIR, icukrell_theme_name, file_name);

		if ((fd1 = fopen(myfile, "rb")) == NULL)
		{
			sprintf(myfile, "%s/icons/Default/%s", GNOMEICU_INSTALL_DIR, file_name);

			if ((fd2 = fopen(myfile, "rb")) == NULL)
			{
				sprintf(myfile, "NOT FOUND");
			} else fclose(fd2);
		} else fclose(fd1);
	} else fclose(fd);

	full_file = g_strdup(myfile);
}

gboolean init_pixmaps()
{
	GdkImlibImage *im;
#ifdef TEST_MODE
	fprintf(stderr, "init_pixmaps...\n");
#endif

#ifdef TEST_MODE
	fprintf(stderr, "init image: [%s]\n", full_file);
#endif
	make_file_name("gnomeicu-offline.png");
	im = gdk_imlib_load_image(full_file);
	gdk_imlib_render(im, im->rgb_width, im->rgb_height);
        offline_pixmap = gdk_imlib_copy_image(im);
        offline_bitmap = gdk_imlib_copy_mask(im);
        gdk_imlib_destroy_image(im);

#ifdef TEST_MODE
	fprintf(stderr, "init image: [%s]\n", full_file);
#endif
	make_file_name("gnomeicu-online.png");
	im = gdk_imlib_load_image(full_file);
	gdk_imlib_render(im, im->rgb_width, im->rgb_height);
        online_pixmap = gdk_imlib_copy_image(im);
        online_bitmap = gdk_imlib_copy_mask(im);
        gdk_imlib_destroy_image(im);

#ifdef TEST_MODE
	fprintf(stderr, "init image: [%s]\n", full_file);
#endif
	make_file_name("gnomeicu-inv.png");
	im = gdk_imlib_load_image(full_file);
	gdk_imlib_render(im, im->rgb_width, im->rgb_height);
        inv_pixmap = gdk_imlib_copy_image(im);
        inv_bitmap = gdk_imlib_copy_mask(im);
        gdk_imlib_destroy_image(im);

#ifdef TEST_MODE
	fprintf(stderr, "init image: [%s]\n", full_file);
#endif
	make_file_name("gnomeicu-na.png");
	im = gdk_imlib_load_image(full_file);
	gdk_imlib_render(im, im->rgb_width, im->rgb_height);
        na_pixmap = gdk_imlib_copy_image(im);
        na_bitmap = gdk_imlib_copy_mask(im);
        gdk_imlib_destroy_image(im);

#ifdef TEST_MODE
	fprintf(stderr, "init image: [%s]\n", full_file);
#endif
	make_file_name("gnomeicu-ffc.png");
	im = gdk_imlib_load_image(full_file);
	gdk_imlib_render(im, im->rgb_width, im->rgb_height);
        chat_pixmap = gdk_imlib_copy_image(im);
        chat_bitmap = gdk_imlib_copy_mask(im);
        gdk_imlib_destroy_image(im);

#ifdef TEST_MODE
	fprintf(stderr, "init image: [%s]\n", full_file);
#endif
	make_file_name("gnomeicu-occ.png");
	im = gdk_imlib_load_image(full_file);
	gdk_imlib_render(im, im->rgb_width, im->rgb_height);
        occ_pixmap = gdk_imlib_copy_image(im);
        occ_bitmap = gdk_imlib_copy_mask(im);
        gdk_imlib_destroy_image(im);

#ifdef TEST_MODE
	fprintf(stderr, "init image: [%s]\n", full_file);
#endif
	make_file_name("gnomeicu-away.png");
	im = gdk_imlib_load_image(full_file);
	gdk_imlib_render(im, im->rgb_width, im->rgb_height);
        away_pixmap = gdk_imlib_copy_image(im);
        away_bitmap = gdk_imlib_copy_mask(im);
        gdk_imlib_destroy_image(im);

#ifdef TEST_MODE
	fprintf(stderr, "init image: [%s]\n", full_file);
#endif
	make_file_name("gnomeicu-dnd.png");
	im = gdk_imlib_load_image(full_file);
	gdk_imlib_render(im, im->rgb_width, im->rgb_height);
        dnd_pixmap = gdk_imlib_copy_image(im);
        dnd_bitmap = gdk_imlib_copy_mask(im);
        gdk_imlib_destroy_image(im);

#ifdef TEST_MODE
	fprintf(stderr, "init image: [%s]\n", full_file);
#endif
	make_file_name("gnomeicu-message.png");
	im = gdk_imlib_load_image(full_file);
	gdk_imlib_render(im, im->rgb_width, im->rgb_height);
	message_pixmap = gdk_imlib_copy_image(im);
        message_bitmap = gdk_imlib_copy_mask(im);
        gdk_imlib_destroy_image(im);

	return TRUE;
}
